Go Down

Topic: Windows/Linux/Mac Eclipse plugin to compile and upload arduino sketches (Read 118949 times) previous topic - next topic

Jantje

Do not PM me a question unless you are prepared to pay for consultancy.
Nederlandse sectie - http://arduino.cc/forum/index.php/board,77.0.html -

nicoverduin

Hi Jantje
Is it still possible to go back to V1? I am having some issues with V2 in combination with ATTiny's. an Arduino 1.5.4
I will install an old Eclipse with 1.0.5 and your V1. That is stable enough for now.
Regards
Nico
Met vriendelijke groet / kindest regards
Nico Verduin
www.verelec.nl

Jantje

Nico
V2 is still in beta so V1 is the stable version.
You are not the only one having issues with arduino IDE 1.5.4 beta. My plugin has ans It does not support  arduino IDE 1.5.4 beta. It only supports  arduino IDE 1.5.2 beta
There is no reason why you could not use the V1 version. This is why I have a V1 and V2 have a different update site.
If you want to stick to your eclipse and workspace (for instance because of version control or so. Just de-install V2 and install V1.
Note however that V2 and V1 are seriously different and I never downgraded to V1. So expect some problems there.
Best regards
Do not PM me a question unless you are prepared to pay for consultancy.
Nederlandse sectie - http://arduino.cc/forum/index.php/board,77.0.html -

nicoverduin

Worst case scenario..... deinstall everything and start all over :).
Met vriendelijke groet / kindest regards
Nico Verduin
www.verelec.nl

nicoverduin

Hi Jantje
I looked at : http://www.baeyens.it/eclipse/update for V1
but no old release. Has that changed?
Met vriendelijke groet / kindest regards
Nico Verduin
www.verelec.nl

Jantje

I tried this as well.
Seems like update doesn't work anymore but "update site" does
not sure how that comes
Best regards
Jantje
Do not PM me a question unless you are prepared to pay for consultancy.
Nederlandse sectie - http://arduino.cc/forum/index.php/board,77.0.html -

nicoverduin

Met vriendelijke groet / kindest regards
Nico Verduin
www.verelec.nl

Jantje


meaning?  no more available?

"update" should point to "update site" because some people have problems with spaces I made this link.
The real location has always been  "update site".
So meaning: somewhere some configuration is no more supported or has gone corrupted.
Solution: just use http://www.baeyens.it/eclipse/update site
I'll update the site to point to "update site"
Best regards
Jantje
Do not PM me a question unless you are prepared to pay for consultancy.
Nederlandse sectie - http://arduino.cc/forum/index.php/board,77.0.html -

nicoverduin

Met vriendelijke groet / kindest regards
Nico Verduin
www.verelec.nl

nicoverduin

#369
Nov 24, 2013, 01:36 pm Last Edit: Nov 24, 2013, 01:40 pm by nicoverduin Reason: 1
Well it did not quite work :( So I moved to 1.5.2 and the new plugin. It seems I have to rebuild every older version developed sketch. is that correct? Or is there a short cut :)?

And every time I startup I get a popup saying:
Problem running CDT scanner Discovery provider it.baeyens.arduino.languageSettingsProvider.
Met vriendelijke groet / kindest regards
Nico Verduin
www.verelec.nl

Jantje

For the popup I think you are running kepler (not yet supported)
V1 and V2 are majorly different and workspaces are not compatible. if you only need to reselect the arduino board (make sue to press apply) and rebuild you are lucky

As a shortcut you can select all projects right click and say clean and then build. that shpuld rebuild all your projects.

best regards
Jantje
Do not PM me a question unless you are prepared to pay for consultancy.
Nederlandse sectie - http://arduino.cc/forum/index.php/board,77.0.html -

nicoverduin

I am running Juno SR2. Deleted everything and started from scratch. Seems the cause is that the languag file settings is missing in preferences. The approach I use now is:
- rename the old project with the extension _OLD
- create a new project with the correct name
- copy the source files
- import the required libraries
- and compile.
Seems a lot of work but is not actually :) Just go into 'dumb'mode and just do it :)

Another question:
- In the previous versions I could modify the source templates. Is this still possible?

Met vriendelijke groet / kindest regards
Nico Verduin
www.verelec.nl

Jantje


- rename the old project with the extension _OLD

You can also open 2 eclipse instances. Than you can have 2 workspaces old and new. Than this action is not needed and you are sure that if you make a mistake the old version is still intact.


- In the previous versions I could modify the source templates. Is this still possible?

Nothing changed on this behalf. So you should be able to modify it like you did.
If you feel it is an improvement for all you may want to update the github repository  or create a issue 8)
Best regards
Jantje
Do not PM me a question unless you are prepared to pay for consultancy.
Nederlandse sectie - http://arduino.cc/forum/index.php/board,77.0.html -

nicoverduin

Met vriendelijke groet / kindest regards
Nico Verduin
www.verelec.nl

nicoverduin

Ok
I think I understand :smiley-mr-green: the sketch sources are incorporated in the JAVA code,
I forked the library and as I always love educational projects (starting with my limited knowledge of JAVA :smiley-roll-sweat:) I will try to:
a) see if I can add a folder to direct to custom versions of the sketch.cpp and sketch.h. If they do not exist then I will used the builtin versions.
b) I will see if I can add an extra field in the screen where the Arduino folder and user libraries exist and see if I can add a folder for custom sketch.cpp and sketch.h.

Now as I am currently reasonably ignorant to JAVA development (can't have them all) this is a nice project for me to learn :)
So don't expect it to be done by tomorrow :smiley-mr-green: :smiley-mr-green:But I do want to give it a shot.
Met vriendelijke groet / kindest regards
Nico Verduin
www.verelec.nl

Go Up